﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Enums
{
    class Program
    {
        // The approved types for an enum are: 
        // byte, sbyte, short, ushort, int, uint, long, ulong
        enum DayOfWeek
        {
            Sat, // int value of 0 (default)
            Sun, // 1
            Mon, // 2
            Tue, // 3
            Wed, // 4
            Thu, // 5
            Fri // 6
        }

        static void Main(string[] args)
        {
            var today = DayOfWeek.Fri;
            Console.WriteLine("Initialized today = Friday");

            if (today == DayOfWeek.Fri)
                Console.WriteLine("It's Friday!");
            else
                Console.WriteLine("It's NOT Friday!");

            var anotherDay = DayOfWeek.Sat;
            Console.WriteLine("Initialized anotherDay = Saturday");

            switch (anotherDay)
            {
                case DayOfWeek.Sat:
                case DayOfWeek.Sun:
                {
                    Console.WriteLine("it's the weekend!");
                }
                break;
                default:
                {
                    Console.WriteLine("it's a weekday!");
                }
                break;
            }
            Console.ReadKey();
        }
    }
}
